// PANASYNC default values

#ifndef	__panadefaults_h
#define __panadefaults_h



// definition of uri for unique kind bases
// 
#define	PTDEF_BASE_ROOT		"http://root.panasync.org/"

// definition of default path to store base info
//
#define	PTDEF_BASE_PATH		"/usr/share/panasync/base"

// file name of panasync directory structure
//
#define PTDEF_PDS_FILENAME	"panasync.pds"

// package name for locale data (gettext function)
// refers to file "panasync.mo"
//
#define PACKAGE			"panasync"

// base directory where to find tranlation file
//
#define PACKAGE_ROOT_DIRECTORY	"/usr/share/panasync"


// size of file buffer for pds and pts::base (bytes)
//
const unsigned PTBUFSIZE	= 1024 * 64;


// DEBUG LEVEL variables

// value of debug level required for all PANASYNC modules
//
extern int PANA_debug_level;

// constant values for each module
// a module has debugging if it's value is equal or lesser than debug level
//
const int PANA_debug_commands   = 1;
const int PANA_debug_pds        = 3;
const int PANA_debug_system     = 5;


// MACRO for printing errors
//
#define ERROR(MOD,STR) if( PANA_debug_level >= MOD)	cerr << STR << endl;
#define WARN(MOD,STR) if( PANA_debug_level > MOD)	cerr << STR << endl;



#endif  //  __panadefaults_h

