#!/bin/bash

version=`scripts/getversion.sh`
target=/tmp/panasync-$version
timestamp=`date +%Y%m%d-%H%M`

cp -r `pwd` $target
cd $target

chmod -R ugo+w SNAPSHOTS
rm -rf SNAPSHOTS

make clean
pwd
find . -name core -exec rm -f {} \;
find . -name .\*.swp -exec rm -f {} \;
find . -name \*~ -exec rm -f {} \;
find . -name \*.o -exec rm -f {} \;
find . -name \*.ps -exec rm -f {} \;
find . -name download.html -exec rm -f {} \;
printf "panasync %s (%s)\n" $version $timestamp > VERSION
cd /tmp
tar zcf $target.tar.gz panasync-$version
rm -rf $target
